libdap::XDRUtils Class Reference

## Static Public Member Functions

static xdrproc_t | xdr_coder (const Type &t)
| Returns a function used to encode elements of an array.

## Detailed Description

Definition at line 57 of file XDRUtils.h.

## Member Function Documentation

## xdr_coder()

xdrproc_t libdap::XDRUtils::xdr_coder | ( | const Type & | t | ) |

static

Returns a function used to encode elements of an array.

The `xdr_coder` function (also "filter primitive") is used to encode and decode each element in a multiple element data structure. These functions are used to convert data to and from its local representation to the XDR representation, which is used to transmit and receive the data. See `man xdr` for more information about the available XDR filter primitives.

Note
  This class data is only used for multiple element data types. The simple data types (Int, Float, and so on), are translated directly.
  Even though Byte is a cardinal type, xdr_char is not used to transport Byte arrays over the network. Instead, Byte is a special case handled in Array.

Returns
  A C function used to encode data in the XDR format.

Definition at line 137 of file XDRUtils.cc.

The documentation for this class was generated from the following files:

- XDRUtils.h
- XDRUtils.cc